package com.chenyang.druid.sql.ast.statement;

import com.chenyang.druid.sql.ast.SQLName;
import com.chenyang.druid.sql.ast.SQLStatementImpl;
import com.chenyang.druid.sql.visitor.SQLASTVisitor;

public class SQLExportDatabaseStatement extends SQLStatementImpl {
   private SQLName db;
   private boolean realtime = false;

   public SQLName getDb() {
      return this.db;
   }

   public void setDb(SQLName db) {
      this.db = db;
   }

   public boolean isRealtime() {
      return this.realtime;
   }

   public void setRealtime(boolean realtime) {
      this.realtime = realtime;
   }

   protected void accept0(SQLASTVisitor v) {
      if (v.visit(this)) {
         this.acceptChild(v, this.db);
      }

      v.endVisit(this);
   }
}
